package com.bergerkiller.bukkit.nolagg.logging;

import java.util.Arrays;

import com.bergerkiller.bukkit.common.StopWatch;

public class Measurement {
	
	public Measurement(String eventname) {
		this.reset();
		this.location = PluginTimes.getStackTrace();
		this.type = eventname == null ? "scheduled task" : eventname;
	}
	
	private int index = 0;
	private final double[] times = new double[1000];
	private StopWatch watch = new StopWatch();
	public final String location;
	public final String type;
	
	public void start() {
		this.watch.start();
	}
	public void stop() {
		this.times[index] += this.watch.stop().get();
	}
	
	public void next() {
		this.index++;
	}
	public void reset() {
		Arrays.fill(this.times, 0.0);
	}
	
	public double[] getTimes() {
		return this.times;
	}

}
